Subject: Rug unraveling
From: Amy Grill <[email-masked]>
To: [email-masked]
Date: Mon, 16 Jun 2025 16:14:52 -0400

Greetings,

In Sept 2024, on Amazon, I ordered a set of “
Madison Park Bittman Reversible Bathroom Rug - High Pile Luxrurious Tufted Plush Bath Mat Absorbent, Quick Dry, Geometric Design Shower Room Décor, 21x34, Aqua”

This was our second set - first set ordered in September of 2022 from Amazon. 

One of the two rugs has separated from the edging and is losing pieces of fabric. It is not where the tag was. 

This never happened to the ones we first ordered nor the other rug from the September 2024 order. I believe it is a manufacturing error. I’m including a photo. 

Is it possible to get a replacement rug? We love the style, color & texture of these rugs. 

Thank you,
Amy Rodriguez